Agent Insight Monitors
getInsight
Get a full insight for an Agent Insights monitor.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Path parameters
monitor_id
string
required
The identifier of the monitor.
insight_id
string
required
The identifier of the insight.
Query parameters
include_details
boolean
Whether to include expanded insight details such as evidence and run links in the response. Defaults to false.
api-version
string
required
The API version to use for this operation.
Responses
The request has succeeded.
Body
id
string
required
The insight identifier.
monitor_id
string
required
The Agent Insights monitor this insight belongs to.
agent_name
string
required
The agent this insight belongs to.
agent_version
string
required
The latest immutable agent version associated with this insight.
title
string
required
A short title for the issue.
severity
string | enum
required
The severity of an agent insight.
enum
category
string
required
An open, service-generated category label for the issue. Clients must accept previously unseen values.
status
string | enum
required
The lifecycle status of an agent insight.
enum
trace_count
integer
required
The number of traces that provide evidence for this insight.
description
string
required
The root-cause diagnosis for the issue.
details
AgentInsightDetails
Additional insight details. Omitted unless details are requested.
highlighted_traces
AgentInsightHighlightedTrace[]
required
Up to 5 highlighted traces that provide evidence for this insight.
linked_traces
AgentInsightLinkedTrace[]
required
Up to 200 most recent traces linked to this insight as supporting evidence.
recommended_actions
AgentInsightRecommendedAction
required
The recommended remediation for an agent insight.
proposed_fix
AgentInsightProposedFix
required
A recommended fix for an agent insight.
kind
string | enum
required
The customer-renderable kind of an agent insight's proposed fix.
enum
text
string
required
The human-readable remediation guidance.
changes
AgentInsightProposedFixChange[]
The concrete changes. Omitted for a prose-only fix.
Request
GET /agent_insight_monitors/{monitor_id}/insights/{insight_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json